# PVXMLPlayableTone Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLPlayableTone:

List of all members.

## Public Member Functions

virtual PBoolean | Open (PVXMLChannel &chan, const PString &arg, PINDEX delay, PINDEX repeat, PBoolean autoDelete)

## Protected Attributes

PTones | m_tones

## Member Function Documentation

virtual PBoolean PVXMLPlayableTone::Open | ( | PVXMLChannel & | chan,
|  | const PString & | arg,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete |
| ) |  |  | `[virtual]`

Reimplemented from PVXMLPlayableData.

## Member Data Documentation

PTones PVXMLPlayableTone::m_tones `[protected]`

The documentation for this class was generated from the following file:

- vxml.h